xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) 2009 Ilya Portnov
License | BSD3-style (see LICENSE)
Maintainer | Ilya Portnov <portnov84@rambler.ru>
Stability | unstable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.AutoMaster

Contents

- Usage

Description

Provides layout modifier AutoMaster. It separates screen in two parts - master and slave. Size of slave area automatically changes depending on number of slave windows.

Synopsis

- autoMaster :: LayoutClass l a => Int -> Float -> l a -> ModifiedLayout AutoMaster l a
- data AutoMaster a

# Usage

This module defines layout modifier named autoMaster. It separates screen in two parts - master and slave. Master windows are arranged in one row, in slave area underlying layout is run. Size of slave area automatically increases when number of slave windows is increasing.

You can use this module by adding folowing in your `xmonad.hs`:

    import XMonad.Layout.AutoMaster

Then add layouts to your layoutHook:

    myLayoutHook = autoMaster 1 (1/100) Grid ||| ...

In this example, master area by default contains 1 window (you can change this number in runtime with usual IncMasterN message), changing slave area size with 1100 on each ShrinkExpand message.

autoMaster :: LayoutClass l a => Int -> Float -> l a -> ModifiedLayout AutoMaster l a Source #

User interface function

data AutoMaster a Source #

Data type for layout modifier

#### Instances

Instances details

Eq w => LayoutModifier AutoMaster w Source # |

Instance details

Defined in XMonad.Layout.AutoMaster

Methods

modifyLayout :: LayoutClass l w => AutoMaster w -> Workspace WorkspaceId (l w) w -> Rectangle -> X ([(w, Rectangle)], Maybe (l w)) Source #

modifyLayoutWithUpdate :: LayoutClass l w => AutoMaster w -> Workspace WorkspaceId (l w) w -> Rectangle -> X (([(w, Rectangle)], Maybe (l w)), Maybe (AutoMaster w)) Source #

handleMess :: AutoMaster w -> SomeMessage -> X (Maybe (AutoMaster w)) Source #

handleMessOrMaybeModifyIt :: AutoMaster w -> SomeMessage -> X (Maybe (Either (AutoMaster w) SomeMessage)) Source #

pureMess :: AutoMaster w -> SomeMessage -> Maybe (AutoMaster w) Source #

redoLayout :: AutoMaster w -> Rectangle -> Maybe (Stack w) -> [(w, Rectangle)] -> X ([(w, Rectangle)], Maybe (AutoMaster w)) Source #

pureModifier :: AutoMaster w -> Rectangle -> Maybe (Stack w) -> [(w, Rectangle)] -> ([(w, Rectangle)], Maybe (AutoMaster w)) Source #

hook :: AutoMaster w -> X () Source #

unhook :: AutoMaster w -> X () Source #

modifierDescription :: AutoMaster w -> String Source #

modifyDescription :: LayoutClass l w => AutoMaster w -> l w -> String Source #

Read (AutoMaster a) Source # |
Instance details Defined in XMonad.Layout.AutoMaster Methods readsPrec :: Int -> ReadS (AutoMaster a) Source # readList :: ReadS [AutoMaster a] Source # readPrec :: ReadPrec (AutoMaster a) Source # readListPrec :: ReadPrec [AutoMaster a] Source #
Show (AutoMaster a) Source # |
Instance details Defined in XMonad.Layout.AutoMaster Methods showsPrec :: Int -> AutoMaster a -> ShowS Source # show :: AutoMaster a -> String Source # showList :: [AutoMaster a] -> ShowS Source #